<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
define('_IN_JOHNCMS', 1);
require_once ("../incfiles/db.php");
require_once 'lugaro/fun.php';
$db = new db($db_host, $db_user, $db_pass, $db_name);
session_name("SESID");
session_start();
////////////////////////////////////////////////////////////
// Авторизация по сессии                                  //
////////////////////////////////////////////////////////////
if (isset ($_SESSION['uid']) && isset ($_SESSION['ups'])) {
    $user_id = intval($_SESSION['uid']);
    $user_ps = $_SESSION['ups'];
}

////////////////////////////////////////////////////////////
// Авторизация по COOKIE                                  //
////////////////////////////////////////////////////////////
elseif (isset ($_COOKIE['cuid']) && isset ($_COOKIE['cups'])) {
    $user_id = intval(base64_decode($_COOKIE['cuid']));
    $_SESSION['uid'] = $user_id;
    $user_ps = md5($_COOKIE['cups']);
    $_SESSION['ups'] = $user_ps;
    $cookauth = true;
}

////////////////////////////////////////////////////////////
// Запрос в базе данных по юзеру                          //
////////////////////////////////////////////////////////////
if ($user_id && $user_ps) {
    $req = mysql_query("SELECT * FROM `users` WHERE `id` = '$user_id' LIMIT 1");
    if (mysql_num_rows($req)) {
        $datauser = mysql_fetch_assoc($req);
        if ($user_ps === $datauser['password']) {
            // Получаем данные пользователя
            $login = $datauser['name'];            // Логин (Ник) пользователя
            $rights = $datauser['rights'];
        }
        else {
            // Если пароль не совпадает, уничтожаем переменные сессии и чистим куки
            unset ($_SESSION['uid']);
            unset ($_SESSION['ups']);
            setcookie('cuid', '');
            setcookie('cups', '');
            $user_id = false;
            $user_ps = false;
        }
    }
    else {
        // Если юзер не найден, уничтожаем переменные сессии и чистим куки
        unset ($_SESSION['uid']);
        unset ($_SESSION['ups']);
        setcookie('cuid', '');
        setcookie('cups', '');
        $user_id = false;
        $user_ps = false;
    }
}



$id = (int)$_GET['id'];
$img = $db->assoc($db->query("SELECT * FROM `foto_file` WHERE`id` = '$id'"));
if(empty($img['id'])) header('Location: tpl/img/error.png');
//Проверяем является ли юзер другом автора
if($img['close'] == 1){
	if($img['id_user'] == $user_id || $rights >= 4 ){
		$friends = true;
	}elseif($db->rows($db->query("SELECT * FROM `friends` WHERE `user`='" .$img['id_user']. "' AND `to` = '" . $user_id . "' AND `preg`='1'"))){
		$friends = true;
	}else{
		$friends = false;
	}
}

if($img['close'] == 2 && ($img['id_user'] != $user_id && !$rights >= 4) ){
	header('Location: tpl/img/close.png'); exit;
}elseif($img['close'] == 1 && !$friends){
	header('Location: tpl/img/to_friends.png');exit;
}elseif($img['pas'] != $_SESSION['AlbomPas'.$id] && ($img['id_user'] != $user_id && !$rights >= 4)){
	if(isset($_GET['down'])) header('Location: ?mod=file&id='.$id); else header('Location: tpl/img/pas.png'); exit;
}
$file = 'files/'.$img['id_dir'].'/'.$img['id_albom'].'/'.$id.'.'.$img['ext'];
if(!is_file($file)) header('Location: tpl/img/close.png');
$im = new img($file);
$AlbomPrev = (int)$_SESSION['AlbomPrev'];
if(!$AlbomPrev || $AlbomPrev > 800){
	$im->resize(40);
}else{
	$im->resize($AlbomPrev);
}
$im->print_img($img['ext']);
?>